Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drupal.project.async_command
Class CommandLineLauncher

    java.lang.Object
      org.drupal.project.async_command.CommandLineLauncher

    public class CommandLineLauncher

extends java.lang.Object

This handler deals with CommandLineInterface launching Druplets. Different launchers (CLI, web, etc) have different interfaces.

Constructor Summary
`CommandLineLauncher(java.lang.Class<? extends Druplet> drupletClass)` Initialize the launcher with a druplet class.

Method Summary
`void` | `launch(java.lang.String[] args)` Launches CLI; users of the class should call this function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandLineLauncher

    public CommandLineLauncher(java.lang.Class<? extends Druplet> drupletClass)

  Initialize the launcher with a druplet class.

  Parameters:
    `drupletClass` -

Method Detail

### launch

    public void launch(java.lang.String[] args)

  Launches CLI; users of the class should call this function.

  Parameters:
    `args` - arguments from main()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD